$(function () {
	function display(bool){
		if (bool){
			$('#body').show();
		} else {
			$('#body').hide();
		}
	}
	display(false)
	window.addEventListener('message', function(event){
		var item = event.data;
		if (item.type === 'display'){
			display(true)
		}
		if (item.type === 'close'){
			display(false)
		}
		$(document).mousedown(function(event){
			switch (event.which){
				case 3:
				$.post('http://spyoo_exemple/NUIClose', JSON.stringify({}));
				break;
			}
		});
		$(document).keydown(function(key){
			if ((key.which == 27) || (key.which == 112) || (key.which == 8) || (key.which == 73)){
				$.post('http://spyoo_exemple/NUIClose', JSON.stringify({}));
			}
		})
	})
})
	